version: "3.2"

services:
  azdb:
    image: mysql:8.0.19
    ports:
      - '3306:3306'
    expose:
      - '3306'
    environment:
      - MYSQL_USER=user
      - MYSQL_PASSWORD=user
      - MYSQL_ROOT_USER=root
      - MYSQL_ROOT_PASSWORD=P@ssw0rd
      - MYSQL_DATABASE=assignment
    networks:
      - az_network
    restart: always

  Application:
    depends_on:
      - azdb
    image: alizubidy/devopstrack:latest
    ports:
      - '8070:8070'
    expose:
      - '8070'
    networks:
      - az_network
    
    environment:
      SPRING_DATASOURCE_URL: jdbc:mysql://azdb:3306/assignment?allowPublicKeyRetrieval=true
      SPRING_DATASOURCE_USERNAME: root
      SPRING_DATASOURCE_PASSWORD: P@ssw0rd
    restart: always

networks:
  az_network:

